<?= $this->headScript()
		->appendFile(_st('agency-escorts.js'), 'text/javascript')
		->appendScript('Cubix.AgencyEscorts.container = "container_agency_escorts"');
?>

<div class="thumbs-escorts-i">
   	<h3 class="te-heading"><?= $this->t('more_escorts_by') ?>:<br/>
	    <span class="agency-name">
	    	<a href="<?= $this->getLink('agency', array('name' => $this->agency->name), true); ?>"><?= $this->agency->name ?></a>
	    </span>
    </h3>
    
    <?php $per_row = 3; ?>
	<?php foreach($this->a_escorts as $k => $a_escort): ?>
    	<?php if (0 == $k % $per_row): ?>
    		<?= (0 != $k)? '</div>' : '' ?>
    		<div class="line-small">
		<?php endif; ?>
        
	    <div class="thumb">
	    	<a href="<?= $this->getLink('profile', array('showname' => $a_escort->showname)) ?>">
	        	<img src="<?= $a_escort->getMainPhoto()->getUrl('sthumb'); ?>" alt="" height="103" width="76">
	        </a>
	    </div>
	<?php endforeach; ?>
	</div>
    
    
        
	<?php $pages_count = ceil($this->a_escorts_count / $this->widgetPerPage);  ?>
	<?php if($pages_count != 1): ?>	
	<div class="paging-detail">
		<?  $pages = $this->paging($this->a_escorts_count, $this->agencies_page, $this->widgetPerPage); ?>
		<? if ( 1 < $this->agencies_page): ?>
			<div class="paging-left"><a href="#" onclick="return Cubix.AgencyEscorts.Load('<?= $this->lang() ?>', <?= ($this->agencies_page - 1) ?>, <?= $this->escort_id ?>, <?= $this->agency_id ?>);"><img alt="" src="<?= _st('btn_prev.gif') ?>"/></a></div>
		<? endif ?>
		
		<div class="paging-middle">
		<? foreach ( $pages as $page ): ?>
			<? if ( $this->agencies_page == $page ): ?>
				<span ><?= $page ?></span>
			<? else: ?>
				<a href="#" onclick="return Cubix.AgencyEscorts.Load('<?= $this->lang() ?>', <?= $page ?>, <?= $this->escort_id ?>, <?= $this->agency_id ?>);"><?= $page ?></a>
			<? endif ?>	
		<? endforeach ?>
		</div>
		
		<? if ( $pages_count > $this->agencies_page): ?>
			<div class="paging-right"><a href="#" onclick="return Cubix.AgencyEscorts.Load('<?= $this->lang() ?>', <?= ($this->agencies_page + 1) ?>, <?= $this->escort_id ?>, <?= $this->agency_id ?>);"><img alt="" src="<?= _st('btn_next.gif') ?>"/></a></div>
		<? endif ?>
	</div>
	<?php endif;?>
		        
</div>